classification
Title: Remove duplicate definition of write_record_file
Type: Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, asvetlov, eric.araujo, tarek, vinay.sajip
Priority: normal Keywords: easy, needs review, patch

Created on 2011-10-17 13:12 by eric.araujo, last changed 2014-03-12 09:41 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
remove-duplicate-write_record_file.diff eric.araujo, 2012-02-12 07:07 review
Messages (13)
msg145687 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-17 13:12
We have duplicate code to write a PEP 376 RECORD file in packaging.util and packaging.command.install_distinfo.  The command should use the function from p7g.util.  Tests would also be good: Currently, one function uses LF as end of line (change made by Tarek, so authoritative) but the other uses os.linesep.
msg147508 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-12 16:29
Here’s the patch produced by Mike and I so far.
msg153012 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-10 03:57
Mike, if you don’t have the time to finish this shortly, I will do it, as I need this fixed for another bug.  Just let me know if you’d like to do it.
msg153077 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-02-10 21:17
I am unable to work on this issue at this time.

On Thu, Feb 9, 2012 at 8:57 PM, Éric Araujo <report@bugs.python.org> wrote:

>
> Éric Araujo <merwok@netwok.org> added the comment:
>
> Mike, if you don’t have the time to finish this shortly, I will do it, as
> I need this fixed for another bug.  Just let me know if you’d like to do it.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue13198>
> _______________________________________
>
msg153104 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-11 05:45
OK.  Thanks for your help!
msg153186 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-12 07:07
Patch attached.  Adding people from #13175 for review/testing on Windows.
msg153214 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2012-02-12 18:31
Produces RECORD files with CR-CR-LF line endings (see issue13175). This breaks pysetup remove.

I can't tell if this patch is good otherwise - it's certainly no worse than the behaviour of the unpatched version, but that's not saying much :-)
msg153340 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-14 15:37
Damn, bitten by the use of universal newlines!  I guess I should split on a literal '\n' instead of calling splitlines.  Could you make that change in your clone and tell me if it does the trick?
msg153363 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2012-02-14 19:20
> Damn, bitten by the use of universal newlines!  I guess I should split on a literal '\n' instead of calling splitlines.  Could you make that change in your clone and tell me if it does the trick?

Not for a few days, but I'll check when I'm back home
msg178248 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-12-26 20:13
Close as out of date. Packaging has been removed from stdlib.
msg179342 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-01-08 12:11
Please don’t; distutils2 still exists and is mutating into one or more projects where these bug reports will be useful.  If it bothers Python core devs to have the bugs in this tracker, they will be migrated, but for the moment please leave them open so they can be found.
msg179542 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2013-01-10 13:34
Eric, if you want to keep distutils2 issues on the tracker for a while — I'm ok with that.
msg213231 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-12 09:41
wheel/distlib/pip don’t have the same code, and if they had the same issue it would probably be found by a user.  Closing.
History
Date User Action Args
2014-03-12 09:41:37eric.araujosetstatus: open -> closed
resolution: out of date
messages: + msg213231

stage: patch review -> resolved
2013-01-10 13:34:48asvetlovsetmessages: + msg179542
2013-01-08 12:11:42eric.araujosetstatus: closed -> open
versions: - Python 3.3
messages: + msg179342

resolution: out of date -> (no value)
stage: patch review
2012-12-26 20:13:10asvetlovsetstatus: open -> closed

nosy: + asvetlov
messages: + msg178248

resolution: out of date
stage: patch review -> (no value)
2012-10-21 21:06:29paul.mooresetnosy: - paul.moore
2012-10-21 20:33:03mikehoysetnosy: - mikehoy
2012-02-14 19:20:22paul.mooresetmessages: + msg153363
2012-02-14 15:37:41eric.araujosetmessages: + msg153340
2012-02-12 18:31:33paul.mooresetmessages: + msg153214
2012-02-12 07:07:14eric.araujosetfiles: + remove-duplicate-write_record_file.diff

nosy: + paul.moore, vinay.sajip, tarek
messages: + msg153186

keywords: + needs review
stage: test needed -> patch review
2012-02-12 04:42:53eric.araujosetfiles: - remove-duplicate-write_record_file.diff
2012-02-11 05:45:04eric.araujosetmessages: + msg153104
2012-02-10 21:17:45mikehoysetmessages: + msg153077
2012-02-10 03:57:29eric.araujosetmessages: + msg153012
2011-11-12 16:29:27eric.araujosetfiles: + remove-duplicate-write_record_file.diff
keywords: + patch
messages: + msg147508
2011-10-21 16:28:25mikehoysetnosy: + mikehoy
2011-10-17 13:15:11eric.araujolinkissue13175 dependencies
2011-10-17 13:12:33eric.araujocreate